#!/bin/sh

# Crea enlaces para Makefile y perm.sh en 2004/bprimaria/1 en el resto de 
# directorios de grados.  Dominio público. Sin garantías.

dirac=`pwd`;
anio_inicial=2004;
makefile_inicial=$dirac/$anio_inicial/bprimaria/1/Makefile;

if (test ! -f "$makefile_inicial") then {
	echo "Verifique en este script ruta del Makefile inicial";
	exit 1;
} fi;

d=`find . -type d "(" -path "*bprimaria/*" -or -path "*bsecundaria/*" -or -path "*media/*" ")"`;

for i in $d; do
	i2=`echo $i | sed -e "s|^[.]/||g"`;
	od=$dirac/$i2/Makefile;
	if (test "$od" != "$makefile_inicial") then {
		(cd $i; rm -f Makefile; ln -s $makefile_inicial .);
	} fi;
done

